import path_setting
from in_common.base_request import BaseRequest


class web2_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.SERVICE_URL)

    def service_list(self, page,pagesize,is_online):
        self.params["page"] = page
        self.params["pagesize"] = pagesize
        self.params["is_online"] = is_online

        return self.api_send(self.data["service_list"])

    if __name__ == '__main__':
        print(web2_request().service_list("1", "10", "-1"))